﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;

namespace AxisLabelTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<ChartData> data;
        DateTime date = new DateTime(2014, 07, 07, 12, 00, 00);
        public MainWindow()
        {
            InitializeComponent();
            data = new ObservableCollection<ChartData>();

            data.Add(new ChartData() { Date = date.AddDays(1), Value = 15 });
            data.Add(new ChartData() { Date = date.AddDays(3), Value = 11 });
            data.Add(new ChartData() { Date = date.AddDays(5), Value = 14 });
            data.Add(new ChartData() { Date = date.AddDays(7), Value = 17 });
            data.Add(new ChartData() { Date = date.AddDays(11), Value = 19 });

            chart.Series.Add(new BarSeries()
                {
                    ValueBinding = new PropertyNameDataPointBinding("Value"),
                    CategoryBinding = new PropertyNameDataPointBinding("Date"),
                    ItemsSource = data
                });
        }
    }

    public class ChartData
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }
}
